Subject: Re: [PATCH 04/10] dt-bindings: spi: Add bindings for spi-dw-mchp

From: Lars Povlsen <[email-masked]>
Date: Tue, 19 May 2020 13:47:39 +0200

On 13/05/20 15:52, Mark Brown wrote:
> Date: Wed, 13 May 2020 15:52:13 +0100
> From: Mark Brown <[email-masked]>
> To: Lars Povlsen <[email-masked]>
> Cc: SoC Team <[email-masked]>, Rob Herring <[email-masked]>, Microchip
>  Linux Driver Support <[email-masked]>,
>  [email-masked], [email-masked],
>  [email-masked], [email-masked],
>  Alexandre Belloni <[email-masked]>, Serge Semin
>  <[email-masked]>, Serge Semin
>  <[email-masked]>, Andy Shevchenko
>  <[email-masked]>, Wan Ahmad Zainie
>  <[email-masked]>
> Subject: Re: [PATCH 04/10] dt-bindings: spi: Add bindings for spi-dw-mchp
> User-Agent: Mutt/1.10.1 (2018-07-13)
> 
> On Wed, May 13, 2020 at 04:00:25PM +0200, Lars Povlsen wrote:
> > This add DT bindings for the Microsemi/Microchip SPI controller used
> > in various SoC's. It describes the "mscc,ocelot-spi" and
> > "mscc,jaguar2-spi" bindings.
> 
> > Reviewed-by: Alexandre Belloni <[email-masked]>
> > Signed-off-by: Lars Povlsen <[email-masked]>
> > ---
> >  .../bindings/spi/mscc,ocelot-spi.yaml         | 60 +++++++++++++++++++
> >  .../bindings/spi/snps,dw-apb-ssi.txt          |  7 +--
> 
> That's not what this change does.  It is removing the existing binding
> for Ocelot and Jaguar2 from the free format binding documentation and
> adds some entirely separate YAML bindings for them.  This conflicts with
> competing YAML conversions that both Serge Semin and Wan Ahmad Zainie
> (CCed) have in flight at the minute.  It also doesn't strike me as a
> good idea to fork the bindings, what's the motivation for doing that?

The reason for doing this was due to the fact that I felt adding
Sparx5 support only cluttered the original driver even more.

And since I was adding a new driver, I needed to add bindings for it -
and (re)move the old ones.

I have become aware of Serge and Wan Ahmad's work, and will work out
something on top of that.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel